Skip to main content
GET
/
v1
/
saved-filters
/
{filterId}
Read Saved Filter
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "analysisTypeId": "<string>",
  "organizationId": "<string>",
  "libraryId": "<string>",
  "engagementId": "<string>",
  "name": {},
  "category": {},
  "displayCurrencyCode": "<string>",
  "displayLocale": "<string>",
  "condition": {
    "type": "GROUP",
    "conditions": [
      {}
    ]
  },
  "legacyFilterFormat": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

filterId
string
required

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

analysisTypeId
string

Identifies the associated analysis type.

organizationId
string

Identifies the parent organization, if applicable. Can only be set if filterType is ORGANIZATION or PRIVATE.

libraryId
string

Identifies the parent library, if applicable. Can only be set if filterType is LIBRARY.

engagementId
string

Identifies the parent engagement, if applicable. Can only be set if filterType is ENGAGEMENT.

filterType
enum<string>

The type of this filter. Determines in which context analyses can access it.

Available options:
LIBRARY,
ORGANIZATION,
PRIVATE,
ENGAGEMENT
dataType
enum<string>

The intended data type for this filter.

Available options:
TRANSACTIONS,
ENTRIES,
LIBRARY
name
object

The name of this filter.

category
object

The category of this filter.

displayCurrencyCode
string

The ISO 4217 3 digit currency code used to determine how currency values are formatted for display. Defaults to USD if no value is selected.

displayLocale
string

The ISO 639 locale identifier used when formatting some display values. Defaults to en-us if no value is specified.

condition
Filter Group Condition · object

A group filter containing all the conditions included in this filter.

legacyFilterFormat
boolean

If true this filter is saved in a legacy format that can't be represented in the API.